-- RIB_Base
-- Author: JNR
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,							RequirementId)
VALUES	('CITY_HAS_RIB_BANANAS_REQUIREMENTS_JNR',	'REQUIRES_CITY_HAS_IMPROVED_RESOURCE_BANANAS_JNR'),
		('CITY_HAS_RIB_CATTLE_REQUIREMENTS_JNR',	'REQUIRES_CITY_HAS_IMPROVED_RESOURCE_CATTLE_JNR'),
		('CITY_HAS_RIB_COPPER_REQUIREMENTS_JNR',	'REQUIRES_CITY_HAS_IMPROVED_RESOURCE_COPPER_JNR'),
		('CITY_HAS_RIB_CRABS_REQUIREMENTS_JNR',		'REQUIRES_CITY_HAS_IMPROVED_RESOURCE_CRABS_JNR'),
		('CITY_HAS_RIB_DEER_REQUIREMENTS_JNR',		'REQUIRES_CITY_HAS_IMPROVED_RESOURCE_DEER_JNR'),
		('CITY_HAS_RIB_FISH_REQUIREMENTS_JNR',		'REQUIRES_CITY_HAS_IMPROVED_RESOURCE_FISH_JNR'),
		('CITY_HAS_RIB_RICE_REQUIREMENTS_JNR',		'REQUIRES_CITY_HAS_IMPROVED_RESOURCE_RICE_JNR'),
		('CITY_HAS_RIB_SHEEP_REQUIREMENTS_JNR',		'REQUIRES_CITY_HAS_IMPROVED_RESOURCE_SHEEP_JNR'),
		('CITY_HAS_RIB_STONE_REQUIREMENTS_JNR',		'REQUIRES_CITY_HAS_IMPROVED_RESOURCE_STONE_JNR'),
		('CITY_HAS_RIB_WHEAT_REQUIREMENTS_JNR',		'REQUIRES_CITY_HAS_IMPROVED_RESOURCE_WHEAT_JNR');
--------------------------------------------------------------

-- TechnologyModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO TechnologyModifiers
		(TechnologyType,		ModifierId)
VALUES	('TECH_MATHEMATICS',	'JNR_RIB_BANANAS_UNLOCK_JUNGLE_PLANTATION'),
		('TECH_STIRRUPS',		'JNR_RIB_CATTLE_PRODUCTION_FARMS_ATTACH'),
		('TECH_BRONZE_WORKING',	'JNR_RIB_COPPER_UNIT_PRODUCTION'),
		('TECH_BRONZE_WORKING',	'JNR_RIB_COPPER_PROJECT_PRODUCTION'),
		('TECH_ARCHERY',		'JNR_RIB_DEER_AMENITY_NATIONAL_PARK_ATTACH'),
		('TECH_IRRIGATION',		'JNR_RIB_RICE_UNLOCK_WET_FARM'),
		('TECH_APPRENTICESHIP',	'JNR_RIB_SHEEP_UNLOCK_CLOTHIER'),
		('TECH_MASONRY',		'JNR_RIB_STONE_BUILDING_PRODUCTION'),
		('TECH_APPRENTICESHIP',	'JNR_RIB_WHEAT_UNLOCK_BREWERY');
		
INSERT OR IGNORE INTO TechnologyModifiers
		(TechnologyType,		ModifierId)
SELECT	'TECH_ARCHERY',			'JNR_RIB_DEER_AMENITY_PRESERVE_ATTACH'
FROM	Districts
WHERE	DistrictType IN ('DISTRICT_PRESERVE', 'DISTRICT_LEU_GARDEN');
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,									Kind)
VALUES	('IMPROVEMENT_JNR_RIB_DUMMY_COPPER',	'KIND_IMPROVEMENT'),
		('IMPROVEMENT_JNR_RIB_DUMMY_CATTLE',	'KIND_IMPROVEMENT'),
		('IMPROVEMENT_JNR_RIB_DUMMY_DEER',		'KIND_IMPROVEMENT'),
		('IMPROVEMENT_JNR_RIB_DUMMY_STONE',		'KIND_IMPROVEMENT');
--------------------------------------------------------------

-- Improvements
--------------------------------------------------------------
INSERT OR IGNORE INTO Improvements
		(ImprovementType,						PrereqTech,				TraitType,						PlunderType,	Name,											Description,										Icon)
VALUES	('IMPROVEMENT_JNR_RIB_DUMMY_COPPER',	'TECH_BRONZE_WORKING',	'TRAIT_CIVILIZATION_NO_PLAYER',	'NO_PLUNDER',	'LOC_IMPROVEMENT_JNR_RIB_DUMMY_COPPER_NAME',	'LOC_IMPROVEMENT_JNR_RIB_DUMMY_COPPER_DESCRIPTION',	'ICON_IMPROVEMENT_JNR_RIB_DUMMY_COPPER'),
		('IMPROVEMENT_JNR_RIB_DUMMY_CATTLE',	'TECH_STIRRUPS',		'TRAIT_CIVILIZATION_NO_PLAYER',	'NO_PLUNDER',	'LOC_IMPROVEMENT_JNR_RIB_DUMMY_CATTLE_NAME',	'LOC_IMPROVEMENT_JNR_RIB_DUMMY_CATTLE_DESCRIPTION',	'ICON_IMPROVEMENT_JNR_RIB_DUMMY_CATTLE'),
		('IMPROVEMENT_JNR_RIB_DUMMY_DEER',		'TECH_ARCHERY',			'TRAIT_CIVILIZATION_NO_PLAYER',	'NO_PLUNDER',	'LOC_IMPROVEMENT_JNR_RIB_DUMMY_DEER_NAME',		'LOC_IMPROVEMENT_JNR_RIB_DUMMY_DEER_DESCRIPTION',	'ICON_IMPROVEMENT_JNR_RIB_DUMMY_DEER'),
		('IMPROVEMENT_JNR_RIB_DUMMY_STONE',		'TECH_MASONRY',			'TRAIT_CIVILIZATION_NO_PLAYER',	'NO_PLUNDER',	'LOC_IMPROVEMENT_JNR_RIB_DUMMY_STONE_NAME',		'LOC_IMPROVEMENT_JNR_RIB_DUMMY_STONE_DESCRIPTION',	'ICON_IMPROVEMENT_JNR_RIB_DUMMY_STONE');
		
UPDATE Improvements SET Description='LOC_IMPROVEMENT_JNR_RIB_DUMMY_DEER_DESCRIPTION_PRESERVE'	WHERE ImprovementType='IMPROVEMENT_JNR_RIB_DUMMY_DEER' AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
UPDATE Improvements SET Description='LOC_IMPROVEMENT_JNR_RIB_DUMMY_DEER_DESCRIPTION_GARDEN'		WHERE ImprovementType='IMPROVEMENT_JNR_RIB_DUMMY_DEER'																				AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_LEU_GARDEN');
UPDATE Improvements SET Description='LOC_IMPROVEMENT_JNR_RIB_DUMMY_DEER_DESCRIPTION_GREENERY'	WHERE ImprovementType='IMPROVEMENT_JNR_RIB_DUMMY_DEER' AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE')	AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_LEU_GARDEN');
--------------------------------------------------------------