-- RIB_Requirements
-- Author: JNR
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,												RequirementType)
SELECT	'REQUIRES_CITY_HAS_IMPROVED_' || ResourceType || '_JNR',	'REQUIREMENT_CITY_HAS_RESOURCE_TYPE_IMPROVED'
FROM	Resources
WHERE	ResourceClassType='RESOURCECLASS_BONUS';

INSERT OR IGNORE INTO Requirements
		(RequirementId,												RequirementType)
VALUES	('REQUIRES_CITY_HAS_POWERPLANT_COAL_JNR',					'REQUIREMENT_CITY_HAS_BUILDING'),
		('REQUIRES_CITY_HAS_POWERPLANT_OIL_JNR',					'REQUIREMENT_CITY_HAS_BUILDING'),
		('REQUIRES_CITY_HAS_POWERPLANT_NUCLEAR_JNR',				'REQUIREMENT_CITY_HAS_BUILDING');

INSERT OR IGNORE INTO Requirements
		(RequirementId,												RequirementType)
SELECT	'REQUIRES_CITY_HAS_POWERPLANT_RENEWABLE_JNR',				'REQUIREMENT_CITY_HAS_BUILDING'
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_RENEWABLE_DISTRIBUTION';
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,												Name,				Value)
SELECT	'REQUIRES_CITY_HAS_IMPROVED_' || ResourceType || '_JNR',	'ResourceType',		ResourceType
FROM	Resources
WHERE	ResourceClassType='RESOURCECLASS_BONUS';

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,												Name,			Value)
VALUES	('REQUIRES_CITY_HAS_POWERPLANT_COAL_JNR',					'BuildingType',	'BUILDING_COAL_POWER_PLANT'),
		('REQUIRES_CITY_HAS_POWERPLANT_OIL_JNR',					'BuildingType',	'BUILDING_FOSSIL_FUEL_POWER_PLANT'),
		('REQUIRES_CITY_HAS_POWERPLANT_NUCLEAR_JNR',				'BuildingType',	'BUILDING_POWER_PLANT');

INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,												Name,			Value)
SELECT	'REQUIRES_CITY_HAS_POWERPLANT_RENEWABLE_JNR',				'BuildingType',	BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_RENEWABLE_DISTRIBUTION';
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,							RequirementSetType)
VALUES	('CITY_HAS_RIB_BANANAS_REQUIREMENTS_JNR',	'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_CATTLE_REQUIREMENTS_JNR',	'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_COPPER_REQUIREMENTS_JNR',	'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_CRABS_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_DEER_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_FISH_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_RICE_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_SHEEP_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_STONE_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_WHEAT_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_MAIZE_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_PEAT_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_POTATOES_REQUIREMENTS_JNR',	'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_BISON_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_CAMEL_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_SEALS_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_RIB_SQUID_REQUIREMENTS_JNR',		'REQUIREMENTSET_TEST_ANY'),

		('BUILDING_IS_INDUSTRIAL_TIER1_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('BUILDING_IS_INDUSTRIAL_TIER2_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('BUILDING_IS_INDUSTRIAL_TIER3_JNR',		'REQUIREMENTSET_TEST_ANY'),
		('BUILDING_IS_INDUSTRIAL_TIER4_JNR',		'REQUIREMENTSET_TEST_ANY');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,							RequirementId)
VALUES	('BUILDING_IS_INDUSTRIAL_TIER2_JNR',		'REQUIRES_CITY_HAS_WORKSHOP'),
		('BUILDING_IS_INDUSTRIAL_TIER3_JNR',		'REQUIRES_CITY_HAS_FACTORY'),
		('BUILDING_IS_INDUSTRIAL_TIER4_JNR',		'REQUIRES_CITY_HAS_POWERPLANT_COAL_JNR'),
		('BUILDING_IS_INDUSTRIAL_TIER4_JNR',		'REQUIRES_CITY_HAS_POWERPLANT_OIL_JNR'),
		('BUILDING_IS_INDUSTRIAL_TIER4_JNR',		'REQUIRES_CITY_HAS_POWERPLANT_NUCLEAR_JNR');

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,							RequirementId)
SELECT	'BUILDING_IS_INDUSTRIAL_TIER4_JNR',			'REQUIRES_CITY_HAS_POWERPLANT_RENEWABLE_JNR'
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_RENEWABLE_DISTRIBUTION';
--------------------------------------------------------------